### Function

# EDataCal CalCacheSearchData new

since: 3.26

#### Declaration [src]

    ECalCacheSearchData*
    e_cal_cache_search_data_new (
      const gchar* uid,
      const gchar* rid,
      const gchar* object,
      const gchar* extra
    )

#### Description [src]

Creates a new `ECalCacheSearchData` prefilled with the given values.

Available since: 3.26

#### Parameters

`uid`

  Type: `const gchar*`

  A component UID; cannot be `NULL`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  A component Recurrence-ID; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object`

  Type: `const gchar*`

  The component as an iCal string; cannot be `NULL`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`extra`

  Type: `const gchar*`

  Any extra data stored with the component, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ECalCacheSearchData`

A new `ECalCacheSearchData`. Free it with `e_cal_cache_search_data_free()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.